\ProvidesPackage{tslib}[2022/03/20 Tech Squares libs]

\RequirePackage{fancyhdr}

% Set a page style with a CC-BY-SA logo
\DeclareOption{licensestyle}{
    \pagestyle{fancy}
    \fancyhf{}                      %initialize to empty
    \renewcommand{\headrulewidth}{0pt} %default is a headrule
    % first (and normally only) page
    \fancypagestyle{frontpage}{
      \ifdefined \nolicense \else
      \cfoot{\scriptsize \thepage}
      \rfoot{\scriptsize \href{http://creativecommons.org/licenses/by-sa/4.0/}{\includegraphics[scale=0.5]{images/cc-by-sa}}}
      \fi
    }
    % subsequent pages (if any)
    \cfoot{\scriptsize \thepage}
    %\rfoot{\sigfont \tmstamp}           %on every page
    \AtBeginDocument{\setlength{\headwidth}{\textwidth}}
}

\DeclareOption{title}{\renewcommand\maketitle{
  \begin{center}
    \includegraphics[scale=.60]{tech-logo-words}\\
    \leavevmode

    {\LARGE \@title}
  \end{center}

  \hypersetup{pdftitle=\@title}

  \thispagestyle{frontpage}
}}

\ProcessOptions
